Package org.apache.any23.cli.flows

## Class PeopleExtractor

- java.lang.Object
- - org.apache.any23.writer.CompositeTripleHandler
  - - org.apache.any23.cli.flows.PeopleExtractor

- All Implemented Interfaces:
    `AutoCloseable`, `TripleHandler`

      public class PeopleExtractor
      extends CompositeTripleHandler

  Proof of concept for ANY23-396 example.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `RAW_NS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PeopleExtractor​(TripleHandler delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `closeContext​(ExtractionContext context)` |
    `static org.eclipse.rdf4j.model.Model` | `createPerson​(String fullName)` |
    `void` | `receiveTriple​(org.eclipse.rdf4j.model.Resource s, org.eclipse.rdf4j.model.IRI p, org.eclipse.rdf4j.model.Value o, org.eclipse.rdf4j.model.IRI g, ExtractionContext context)` |

    - ### Methods inherited from class org.apache.any23.writer.CompositeTripleHandler

      `addChild, close, endDocument, getChilds, openContext, receiveNamespace, setContentLength, startDocument`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RAW_NS

          public static final String RAW_NS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PeopleExtractor

          public PeopleExtractor​(TripleHandler delegate)

  - ### Method Detail

    - #### createPerson

          public static org.eclipse.rdf4j.model.Model createPerson​(String fullName)

    - #### receiveTriple

          public void receiveTriple​(org.eclipse.rdf4j.model.Resource s,
                                    org.eclipse.rdf4j.model.IRI p,
                                    org.eclipse.rdf4j.model.Value o,
                                    org.eclipse.rdf4j.model.IRI g,
                                    ExtractionContext context)
                             throws TripleHandlerException

      Specified by:
        `receiveTriple` in interface `TripleHandler`
      Overrides:
        `receiveTriple` in class `CompositeTripleHandler`
      Throws:
        `TripleHandlerException`

    - #### closeContext

          public void closeContext​(ExtractionContext context)
                            throws TripleHandlerException

      Specified by:
        `closeContext` in interface `TripleHandler`
      Overrides:
        `closeContext` in class `CompositeTripleHandler`
      Throws:
        `TripleHandlerException`